Skip to content

Cancels a POS transaction by ID

Request

POST {{baseURL}}/pos-api/v1/pos-transactions/{{posTransactionsid}}/cancel

This endpoint cancels a POS transaction by ID.

See Also:
To list POS transactions, see GET /pos-api/v1/pos-transactions.
To create a POS transaction, see POST /pos-api/v1/pos-transactions.
To retrieve a POS transaction by ID, see GET /pos-api/v1/pos-transactions/{id}.
To print a POS transaction receipt, see POST /pos-api/v1/pos-transactions/{posTransactionId}/print.

Security
Bearer
Path
posTransactionsidstring, (uuid)required

Specifies the POS transaction identifier.

Example:102ae6f7-8a9b-4c0d-1e2f-3a4b5c6d7e03
curl -i -X POST \
  'https://developer.flute.com/_mock/api-reference/pos-api/v1/pos-transactions/{id}/cancel' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

OK

Bodyapplication/json
posTransactionIdstring, (uuid)

Indicates the POS transaction identifier.

Example: 102ae6f7-8a9b-4c0d-1e2f-3a4b5c6d7

Example:"102ae6f7-8a9b-4c0d-1e2f-3a4b5c6d7"
statusIdinteger, (int32)

Indicates the value of the status identifier.

Possible values:

ValueName
1TerminalConnecting
2TransactionProcessing
3DeclinedByProcessor
4CancelByPos
5CancelByTerminal
6Completed
7Error
8Inconsistency
9TerminalOffline
10TransactionSentToProcessor

Example: 2

Example:2
statusstring or nullread-only

Indicates the status identifier.

Possible values:

NameValue
TerminalConnecting1
TransactionProcessing2
DeclinedByProcessor3
CancelByPos4
CancelByTerminal5
Completed6
Error7
Inconsistency8
TerminalOffline9
TransactionSentToProcessor10

Example: TransactionProcessing

Example:"TransactionProcessing"
Response
{ "posTransactionId": "e5f6a7b8-c9d0-4e1f-2a3b-4c5d6e7f8a14", "statusId": 1, "status": "TerminalConnecting" }